using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Hours_Sun", typeof(Decimal));
        table.Columns.Add("Hours_Mon", typeof(Decimal));
        table.Columns.Add("Hours_Tue", typeof(Decimal));
        for (int i = 1; i < 8; i++)
        {
            if (i > 3)
            {
                table.Rows.Add((decimal)i, null, (decimal)(i + 2));
            }
            else
            {
                table.Rows.Add((decimal)i, (decimal)(i + 1), (decimal)(i + 2));
            }
        }
        RadGrid1.DataSource = table;
    }
}
